Redmine - Patch #35312

Gracefully handle invalid operators and associations requested in queries
2021-05-25 20:04 - Holger Just

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Filters Estimated time: 0.00 hour
Target version: 5.0.0

Description

Users can request arbitrary operators or custom field associations for fields in queries for issues or time entries. This is validated in
the Query class with an exception being raised if an invalid operator or custom field association was requested.

The attached patch handles this case by raising a named Error instead and gracefully handling this error in the Ul by logging the
original exception and rendering a 404 error.

Related issues:
Related to Redmine - Defect #35062: Back URLs with <t+ operator break Confirmed
Related to Redmine - Patch #35500: Add missing fixture to IssuesTest Closed

Associated revisions

Revision 21012 - 2021-05-28 05:58 - Go MAEDA

Gracefully handle invalid query parameters for custom fields (#35312).

Patch by Holger Just.

Revision 21055 - 2021-06-30 14:23 - Go MAEDA
Add missing fixture to IssuesTest (#35312, #35500).

Patch by Yuichi HARADA.

History

#1 - 2021-05-25 20:08 - Holger Just
- Related to Defect #35062: Back URLs with <t+ operator break added

#2 - 2021-05-25 20:08 - Holger Just
This patch probably masks the underlying issue in #35062 (by rendering a 404 instead of a 500 there). The root cause of this issue should probably

still be checked.

#3 - 2021-05-26 04:21 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#4 - 2021-05-28 05:58 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#5 - 2021-06-30 14:12 - Go MAEDA
- Related to Patch #35500: Add missing fixture to IssuesTest added

#6 - 2022-03-27 04:56 - Go MAEDA

- Category changed from Issues filter to Filters
